Create a policy configuration
POST/nevisidm/api/core/v1/:clientExtId/policies
Since: 2.79.0
Required permission(s): AccessControl.PolicyCreate
Creates a new policy configuration for the specified client.
The policyType field is required and determines what kind of policy is created (e.g. PwdPolicy, CertificatePolicy, ClientPolicy). If no external ID is provided, one is auto-generated.
For password-type policies, parameter consistency is validated (e.g. maxLength must not be lower than minLength or the sum of minimum character type requirements).
Only one ClientPolicy is allowed per client. Attempting to create a second one will result in an error.
Request
Responses
- 201
- 403
- 404
- 422
Policy configuration created successfully
Response Headers
Location
URL of the created resource
Insufficient permissions
Referenced resource not found
Invalid request parameters